Debian Bug report logs - #488263
kmail: Missing dependency on libsasl2-modules

version graph

Package: kdepimlibs; Maintainer for kdepimlibs is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Jos Ewert <flami@flami.net>

Date: Fri, 27 Jun 2008 13:00:01 UTC

Severity: important

Fixed in version kdepimlibs/4:4.0.84-1

Done: Sune Vuorela <debian@pusling.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#488263; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Jos Ewert <flami@flami.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jos Ewert <flami@flami.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kmail: Missing dependency on libsasl2-modules
Date: Fri, 27 Jun 2008 14:57:37 +0200
Package: kmail
Version: 4:4.0.82+svn819867-1
Severity: important

Hi,
Kmail cannot use sasl auth in a standard KDE 4 installation, as there is no
dependency on libsasl2-modules, which provides the authentication mechanisms
"LOGIN, PLAIN, ANONYMOUS, NTLM, CRAM-MD5, and DIGEST-MD5".

If the library is not present you will get an error from the mailserver saying
that there was "no worthy mech found".

In KDE 3.5 Kmail installed libsasl2-modules because of its dependency to 
kdebase-kio-plugins which had a dependency on libsasl2-modules.

"apt-cache rdepends libsasl2-modules" does not reveal any KDE4 packages beeing 
dependant on this library.

Greetings,
Jos Ewert


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kmail depends on:
ii  kdebase-runtime     4:4.0.82+svn819867-1 runtime components from the offici
ii  kdelibs5            4:4.0.82+svn819867-1 core libraries for all KDE 4 appli
ii  kdepimlibs5         4:4.0.82+svn819867-1 core libraries for KDE PIM 4 appli
ii  libc6               2.7-10               GNU C Library: Shared libraries
ii  libgcc1             1:4.3.1-2            GCC support library
ii  libkdepim4          4:4.0.82+svn819867-1 KDE PIM library
ii  libkleo4            4:4.0.82+svn819867-1 certificate based crypto library f
ii  libkpgp4            4:4.0.82+svn819867-1 gpg based crypto library for KDE
ii  libksieve4          4:4.0.82+svn819867-1 KDE mail/news message filtering li
ii  libmimelib4         4:4.0.82+svn819867-1 KDE mime library
ii  libphonon4          4:4.2~svn820171-2    Phonon multimedia framework for Qt
ii  libqt4-dbus         4.4.0-3              Qt 4 D-Bus module
ii  libqt4-network      4.4.0-3              Qt 4 network module
ii  libqt4-qt3support   4.4.0-3              Qt 3 compatibility library for Qt 
ii  libqt4-xml          4.4.0-3              Qt 4 XML module
ii  libqtcore4          4.4.0-3              Qt 4 core module
ii  libqtgui4           4.4.0-3              Qt 4 GUI module
ii  libstdc++6          4.3.1-2              The GNU Standard C++ Library v3
ii  perl                5.10.0-11            Larry Wall's Practical Extraction 
ii  phonon              4:4.2~svn820171-2    metapackage for Phonon multimedia 

Versions of packages kmail recommends:
ii  procmail                      3.22-16    Versatile e-mail processor

-- no debconf information




Bug reassigned from package `kmail' to `kdepimlibs'. Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Sat, 28 Jun 2008 08:30:02 GMT) Full text and rfc822 format available.

Reply sent to Sune Vuorela <debian@pusling.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jos Ewert <flami@flami.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 488263-close@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 488263-close@bugs.debian.org
Subject: Bug#488263: fixed in kdepimlibs 4:4.0.84-1
Date: Sun, 29 Jun 2008 12:32:28 +0000
Source: kdepimlibs
Source-Version: 4:4.0.84-1

We believe that the bug you reported is fixed in the latest version of
kdepimlibs, which is due to be installed in the Debian FTP archive:

kdepimlibs-data_4.0.84-1_all.deb
  to pool/main/k/kdepimlibs/kdepimlibs-data_4.0.84-1_all.deb
kdepimlibs-dbg_4.0.84-1_i386.deb
  to pool/main/k/kdepimlibs/kdepimlibs-dbg_4.0.84-1_i386.deb
kdepimlibs5-dev_4.0.84-1_i386.deb
  to pool/main/k/kdepimlibs/kdepimlibs5-dev_4.0.84-1_i386.deb
kdepimlibs5_4.0.84-1_i386.deb
  to pool/main/k/kdepimlibs/kdepimlibs5_4.0.84-1_i386.deb
kdepimlibs_4.0.84-1.diff.gz
  to pool/main/k/kdepimlibs/kdepimlibs_4.0.84-1.diff.gz
kdepimlibs_4.0.84-1.dsc
  to pool/main/k/kdepimlibs/kdepimlibs_4.0.84-1.dsc
kdepimlibs_4.0.84.orig.tar.gz
  to pool/main/k/kdepimlibs/kdepimlibs_4.0.84.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sune Vuorela <debian@pusling.com> (supplier of updated kdepimlibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jun 2008 09:30:52 +0200
Source: kdepimlibs
Binary: kdepimlibs5 kdepimlibs-data kdepimlibs5-dev kdepimlibs-dbg
Architecture: source all i386
Version: 4:4.0.84-1
Distribution: experimental
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Sune Vuorela <debian@pusling.com>
Description: 
 kdepimlibs-data - core shared data for KDE PIM 4 applications
 kdepimlibs-dbg - debugging symbols for the KDE 4 PIM libraries
 kdepimlibs5 - core libraries for KDE PIM 4 applications
 kdepimlibs5-dev - development files for the KDE 4 PIM libraries
Closes: 488263
Changes: 
 kdepimlibs (4:4.0.84-1) experimental; urgency=low
 .
   * New upstream snapshot
   * Soname-bump in kdepimlibs, but we are in experimental, so just close our
     eyes.
   * Have the kio slaves depend on libsasl2-modules, thanks to
     Jos Ewert for investigating. (Closes: #488263)
Checksums-Sha1: 
 cbc34f452db8f5829aac92531d3aa01203ca3a7a 1653 kdepimlibs_4.0.84-1.dsc
 8292dba6df7169151eb6e209a37b7bc2276b7e3d 2342726 kdepimlibs_4.0.84.orig.tar.gz
 1b0ee6af6c6a99f3868e1ede22c042afdb4453f4 495824 kdepimlibs_4.0.84-1.diff.gz
 8165b87763c79e22e39f4fdd667ecd5f1fff5fed 157404 kdepimlibs-data_4.0.84-1_all.deb
 55b3e35adb2adf3b8beabaa427584d4cfad3367f 2495738 kdepimlibs5_4.0.84-1_i386.deb
 ae75e27382e8d29acfc7f01fe932f3d03d179d94 335296 kdepimlibs5-dev_4.0.84-1_i386.deb
 bd1ec4b215f004456b4e096e59bb94cf96da4ffd 16417514 kdepimlibs-dbg_4.0.84-1_i386.deb
Checksums-Sha256: 
 9570432599de90864c46d06db0985146c737fffcfd242f95b4ea6083acf379b4 1653 kdepimlibs_4.0.84-1.dsc
 a121ed4981eefed9a1406de13047ade4ba06bbe26b9976700437ad207188ec1a 2342726 kdepimlibs_4.0.84.orig.tar.gz
 c155f0907596af2aaa1f0b54e53a0e8a3b785afc3db266cbafcb4c80f2598d34 495824 kdepimlibs_4.0.84-1.diff.gz
 c375044a06cad546d9f80d664f7fd3ea7778763cfd7ffb81b5458ff002956283 157404 kdepimlibs-data_4.0.84-1_all.deb
 d5e9ec892d8538e104a985fd7c9008856ef82f3b02a6e485b5d7317c44f5a206 2495738 kdepimlibs5_4.0.84-1_i386.deb
 10abb6c1a2b0e490c862957a228e4f295a468a209cbb8c022e3babe9d0e91aa6 335296 kdepimlibs5-dev_4.0.84-1_i386.deb
 54f4e567babe61e50b086113f154113f7516cfbfed89db3ebfe8b63d3d86c04f 16417514 kdepimlibs-dbg_4.0.84-1_i386.deb
Files: 
 fd9245b2837df20d7deef5bebf90590b 1653 libs optional kdepimlibs_4.0.84-1.dsc
 6997e4bb7a1cecf167c8338755bd492f 2342726 libs optional kdepimlibs_4.0.84.orig.tar.gz
 8eb57da6e164de3b2052edc982a82de1 495824 libs optional kdepimlibs_4.0.84-1.diff.gz
 c3c1a72f0a3d3d7ae9dd803e99f59488 157404 libs optional kdepimlibs-data_4.0.84-1_all.deb
 477fd127ab3ab4279f132c7a8ff5a237 2495738 libs optional kdepimlibs5_4.0.84-1_i386.deb
 228e27a22d7f15f16f1c04ef8c71e2be 335296 libdevel optional kdepimlibs5-dev_4.0.84-1_i386.deb
 2290af7c42d40b9dc70bb65723179343 16417514 libdevel extra kdepimlibs-dbg_4.0.84-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhnfW8ACgkQnMvaFgH6i0qouQCgni8ZWcBtl+WMKdxJVBWJ/UN3
R64An285Asi7xCXuQ3ZRoRLZnkPtiBGa
=vcKE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Aug 2008 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:42:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.